package com.hzya.frame.sys.integrationtask.living.dao.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.sys.appApi.entity.AppApi;
import com.hzya.frame.sys.application.api.entity.SysApplicationApiVo;
import com.hzya.frame.sys.integrationtask.living.entity.IntegrationTaskLivingDetailsEntity;
import com.hzya.frame.sys.integrationtask.living.entity.IntegrationTaskLivingDetailsVo;
import org.springframework.stereotype.Repository;
import com.hzya.frame.basedao.dao.MybatisGenericDao;
import com.hzya.frame.sys.integrationtask.living.dao.IIntegrationTaskLivingDetailsDao;

import java.util.List;

/**
 * @description: 集成任务实例详情  dao
 * @tableName: integration_task_living_details
 * @entityName: IntegrationTaskLivingDetailsEntity
 * @author: gjh
 * @history: 1.0
 */
@Repository("integration_task_living_detailsdao")
public class IntegrationTaskLivingDetailsDaoImpl extends MybatisGenericDao<IntegrationTaskLivingDetailsEntity, String> implements IIntegrationTaskLivingDetailsDao {

    @Override
    public List<IntegrationTaskLivingDetailsVo> queryPageLeftTask(IntegrationTaskLivingDetailsVo entity) {
        List<IntegrationTaskLivingDetailsVo> o = (List<IntegrationTaskLivingDetailsVo>) super.selectList(getSqlIdPrifx() + "queryPageLeftTask", entity);
        return o;
    }

    @Override
    public Integer entity_updatebyid(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity) {
        return super.update(getSqlIdPrifx() + "entity_updatebyid", integrationTaskLivingDetailsEntity);
    }

    @Override
    public List<IntegrationTaskLivingDetailsEntity> queryFastIntegrationTaskLivingDetails(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity) {
        return (List<IntegrationTaskLivingDetailsEntity>) super.selectList(getSqlIdPrifx() + "queryFastIntegrationTaskLivingDetails", integrationTaskLivingDetailsEntity);
    }

//    @DS("sowow_sqlserver_test")
//    @Override
//    public List queryErrorDetailsId(IntegrationTaskLivingDetailsEntity integrationTaskLivingDetailsEntity) throws Exception {
//        return super.selectList(getSqlIdPrifx() + "queryErrorDetailsId", integrationTaskLivingDetailsEntity);
//    }
}
